
From: Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/sparc/kernel/setup.c       |    6 +++---
 25-akpm/arch/sparc/kernel/vmlinux.lds.S |    3 +++
 25-akpm/include/asm-sparc/setup.h       |    1 +
 3 files changed, 7 insertions(+), 3 deletions(-)

diff -puN arch/sparc/kernel/setup.c~early-param-sparc arch/sparc/kernel/setup.c
--- 25/arch/sparc/kernel/setup.c~early-param-sparc	2004-04-01 02:06:18.828517032 -0800
+++ 25-akpm/arch/sparc/kernel/setup.c	2004-04-01 02:06:18.835515968 -0800
@@ -47,6 +47,7 @@
 #include <asm/hardirq.h>
 #include <asm/machines.h>
 #include <asm/cpudata.h>
+#include <asm/setup.h>
 
 struct screen_info screen_info = {
 	0, 0,			/* orig-x, orig-y */
@@ -244,8 +245,7 @@ extern unsigned short ram_flags;
 
 extern int root_mountflags;
 
-char saved_command_line[256];
-char reboot_command[256];
+char reboot_command[COMMAND_LINE_SIZE];
 enum sparc_cpu sparc_cpu_model;
 
 struct tt_entry *sparc_ttable;
@@ -263,7 +263,7 @@ void __init setup_arch(char **cmdline_p)
 
 	/* Initialize PROM console and command line. */
 	*cmdline_p = prom_getbootargs();
-	strcpy(saved_command_line, *cmdline_p);
+	parse_early_options(cmdline_p);
 
 	/* Set sparc_cpu_model */
 	sparc_cpu_model = sun_unknown;
diff -puN arch/sparc/kernel/vmlinux.lds.S~early-param-sparc arch/sparc/kernel/vmlinux.lds.S
--- 25/arch/sparc/kernel/vmlinux.lds.S~early-param-sparc	2004-04-01 02:06:18.830516728 -0800
+++ 25-akpm/arch/sparc/kernel/vmlinux.lds.S	2004-04-01 02:06:18.835515968 -0800
@@ -46,6 +46,9 @@ SECTIONS
   __setup_start = .;
   .init.setup : { *(.init.setup) }
   __setup_end = .;
+  __early_begin = .;
+  __early_param : { *(__early_param) }
+  __early_end = .;
   __start___param = .;
   __param : { *(__param) }
   __stop___param = .;
diff -puN include/asm-sparc/setup.h~early-param-sparc include/asm-sparc/setup.h
--- 25/include/asm-sparc/setup.h~early-param-sparc	2004-04-01 02:06:18.831516576 -0800
+++ 25-akpm/include/asm-sparc/setup.h	2004-04-01 02:06:18.835515968 -0800
@@ -5,5 +5,6 @@
 #ifndef _SPARC_SETUP_H
 #define _SPARC_SETUP_H
 
+#define COMMAND_LINE_SIZE	256
 
 #endif /* _SPARC_SETUP_H */

_
